
%define python_sitearch %(python -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")
%define python64_sitearch %(python_64 -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")

Summary: Mercurial -- a distributed SCM
Name: mercurial
Version: 2.4.2
Release: 1
License: GPLv2+
Group: Development/Tools
URL: http://www.selenic.com/mercurial/
Source0: http://www.selenic.com/mercurial/release/%{name}-%{version}.tar.gz
Patch0: mercurial-i18n.patch

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

BuildRequires: coreutils
BuildRequires: gettext
BuildRequires: pkg-config
BuildRequires: python >= 2.6.2
BuildRequires: python-devel >= 2.6.2
BuildRequires: python-docutils

Requires: python >= 2.6.2

Provides: hg = %{version}-%{release}


%description
Mercurial is a fast, lightweight source control management system designed
for efficient handling of very large distributed projects.

Quick start: http://www.selenic.com/mercurial/wiki/index.cgi/QuickStart
Tutorial: http://www.selenic.com/mercurial/wiki/index.cgi/Tutorial
Extensions: http://www.selenic.com/mercurial/wiki/index.cgi/CategoryExtension


%package hgk
Summary:	Hgk interface for mercurial
Group:		Development/Tools
Requires:	hg = %{version}-%{release}
Requires:	tk

%description hgk
A Mercurial extension for displaying the change history graphically
using Tcl/Tk.  Displays branches and merges in an easily
understandable way and shows diffs for each revision.  Based on
gitk for the git SCM.

Adds the "hg view" command.  See 
http://www.selenic.com/mercurial/wiki/index.cgi/UsingHgk for more
documentation.


%prep
%setup -q
%patch0 -p0


%build
make all


%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}

export PATH=/opt/freeware/bin:$PATH

make install DESTDIR=${RPM_BUILD_ROOT} PREFIX=%{_prefix} MANDIR=%{_mandir}
make install-doc DESTDIR=${RPM_BUILD_ROOT} PREFIX=%{_prefix} MANDIR=%{_mandir}

install -D -m 755 contrib/hgk ${RPM_BUILD_ROOT}%{_libexecdir}/mercurial/hgk
install -m 755 contrib/hg-ssh ${RPM_BUILD_ROOT}%{_bindir}

bash_completion_dir=${RPM_BUILD_ROOT}%{_sysconfdir}/bash_completion.d
mkdir -p ${bash_completion_dir}
install -m 644 contrib/bash_completion ${bash_completion_dir}/mercurial.sh

zsh_completion_dir=${RPM_BUILD_ROOT}%{_datadir}/zsh/site-functions
mkdir -p ${zsh_completion_dir}
install -m 644 contrib/zsh_completion ${zsh_completion_dir}/_mercurial

mkdir -p ${RPM_BUILD_ROOT}%{_sysconfdir}/mercurial/hgrc.d
install -m 644 contrib/mergetools.hgrc ${RPM_BUILD_ROOT}%{_sysconfdir}/mercurial/hgrc.d/mergetools.rc

cat >hgk.rc <<EOF
[extensions]
# enable hgk extension ('hg help' shows 'view' as a command)
hgk=

[hgk]
path=%{_libexecdir}/mercurial/hgk
EOF
install -m 644 hgk.rc ${RPM_BUILD_ROOT}%{_sysconfdir}/mercurial/hgrc.d

cat > certs.rc <<EOF
# see: http://mercurial.selenic.com/wiki/CACertificates
[web]
cacerts = /etc/pki/tls/certs/ca-bundle.crt
EOF
install -m 644 certs.rc ${RPM_BUILD_ROOT}%{_sysconfdir}/mercurial/hgrc.d

install -m 644 contrib/mergetools.hgrc ${RPM_BUILD_ROOT}%{_sysconfdir}/mercurial/hgrc.d/mergetools.rc

mv ${RPM_BUILD_ROOT}%{python_sitearch}/mercurial/locale ${RPM_BUILD_ROOT}%{_datadir}/locale
rm -rf ${RPM_BUILD_ROOT}%{python_sitearch}/mercurial/locale

cd ${RPM_BUILD_ROOT}
mkdir -p usr/bin
cd usr/bin
ln -sf ../..%{_bindir}/* .


%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,system,-)
%doc CONTRIBUTORS COPYING doc/README doc/hg*.txt doc/hg*.html *.cgi contrib/*.fcgi
%doc %attr(644,root,system) contrib/*.svg contrib/sample.hgrc
%{_bindir}/*
%dir %{_sysconfdir}/bash_completion.d/
%config(noreplace) %{_sysconfdir}/bash_completion.d/mercurial.sh
%dir %{_sysconfdir}/mercurial
%dir %{_sysconfdir}/mercurial/hgrc.d
%config(noreplace) %{_sysconfdir}/mercurial/hgrc.d/mergetools.rc
%config(noreplace) %{_sysconfdir}/mercurial/hgrc.d/certs.rc
%attr(644,root,system) %{_mandir}/man?/hg*
%{_datadir}/locale/*/*/*
%dir %{_datadir}/zsh
%dir %{_datadir}/zsh/site-functions
%{_datadir}/zsh/site-functions/_mercurial
%{python_sitearch}/hgext
%{python_sitearch}/mercurial*
/usr/bin/*


%files hgk
%defattr(-,root,system,-)
%{_libexecdir}/mercurial
%{_sysconfdir}/mercurial/hgrc.d/hgk.rc


%changelog
* Thu Dec 12 2013 Michael Perzl <michael@perzl.org> - 2.4.2-1
- updated to version 2.4.2

* Thu Dec 12 2013 Michael Perzl <michael@perzl.org> - 2.3.2-1
- updated to version 2.3.2

* Thu Dec 12 2013 Michael Perzl <michael@perzl.org> - 2.2.3-1
- updated to version 2.2.3

* Thu Dec 12 2013 Michael Perzl <michael@perzl.org> - 2.1.2-1
- updated to version 2.1.2

* Thu Dec 12 2013 Michael Perzl <michael@perzl.org> - 2.0.2-1
- updated to version 2.0.2

* Thu Dec 12 2013 Michael Perzl <michael@perzl.org> - 1.9.3-1
- updated to version 1.9.3

* Thu Dec 12 2013 Michael Perzl <michael@perzl.org> - 1.8.4-1
- updated to version 1.8.4

* Thu Dec 12 2013 Michael Perzl <michael@perzl.org> - 1.7.5-1
- updated to version 1.7.5

* Thu Dec 12 2013 Michael Perzl <michael@perzl.org> - 1.6.4-1
- updated to version 1.6.4

* Thu Dec 12 2013 Michael Perzl <michael@perzl.org> - 1.5.4-1
- updated to version 1.5.4

* Thu Dec 12 2013 Michael Perzl <michael@perzl.org> - 1.4.3-1
- updated to version 1.4.3

* Thu Dec 12 2013 Michael Perzl <michael@perzl.org> - 1.3.1-1
- updated to version 1.3.1

* Thu Dec 12 2013 Michael Perzl <michael@perzl.org> - 1.2.1-1
- updated to version 1.2.1

* Thu Dec 12 2013 Michael Perzl <michael@perzl.org> - 1.1.2-1
- updated to version 1.1.2

* Thu Dec 12 2013 Michael Perzl <michael@perzl.org> - 1.0.2-1
- first version for AIX V5.1 and higher
